Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.jca.security
Class MessageDigest

    java.lang.Object
      com.mindbright.jca.security.MessageDigestSpi
          com.mindbright.jca.security.MessageDigest

Direct Known Subclasses:
  MD2, MD512BitBlock

public abstract class MessageDigest
extends MessageDigestSpi

Field Summary
`protected java.lang.String` | `algorithm`
`protected Provider` | `provider`

Constructor Summary
`protected` | `MessageDigest(java.lang.String algorithm)`

Method Summary
`java.lang.Object` | `clone()`
`byte[]` | `digest()`
`byte[]` | `digest(byte[] input)`
`int` | `digest(byte[] buf, int offset, int len)`
`java.lang.String` | `getAlgorithm()`
`int` | `getDigestLength()`
`static MessageDigest` | `getInstance(java.lang.String algorithm)`
`static MessageDigest` | `getInstance(java.lang.String algorithm, java.lang.String provider)`
`Provider` | `getProvider()`
`static boolean` | `isEqual(byte[] digesta, byte[] digestb)`
`void` | `reset()`
`java.lang.String` | `toString()`
`void` | `update(byte input)`
`void` | `update(byte[] input)`
`void` | `update(byte[] input, int offset, int len)`

Methods inherited from class com.mindbright.jca.security.MessageDigestSpi
`engineDigest, engineDigest, engineGetDigestLength, engineReset, engineUpdate, engineUpdate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### algorithm

    protected java.lang.String algorithm

### provider

    protected Provider provider

Constructor Detail

### MessageDigest

    protected MessageDigest(java.lang.String algorithm)

Method Detail

### getInstance

    public static MessageDigest getInstance(java.lang.String algorithm)
                                     throws NoSuchAlgorithmException

  Throws:
    `NoSuchAlgorithmException`

### getInstance

    public static MessageDigest getInstance(java.lang.String algorithm,
                                            java.lang.String provider)
                                     throws NoSuchAlgorithmException,
                                            NoSuchProviderException

  Throws:
    `NoSuchAlgorithmException`
    `NoSuchProviderException`

### digest

    public byte[] digest()

### digest

    public byte[] digest(byte[] input)

### digest

    public int digest(byte[] buf,
                      int offset,
                      int len)
               throws DigestException

  Throws:
    `DigestException`

### reset

    public void reset()

### update

    public void update(byte input)

### update

    public void update(byte[] input)

### update

    public void update(byte[] input,
                       int offset,
                       int len)

### getProvider

    public final Provider getProvider()

### getAlgorithm

    public final java.lang.String getAlgorithm()

### getDigestLength

    public final int getDigestLength()

### isEqual

    public static boolean isEqual(byte[] digesta,
                                  byte[] digestb)

### toString

    public java.lang.String toString()

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `MessageDigestSpi`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD